
<div *ngIf="bookingSlot">
    <h5><span jhiTranslate="mpmApp.bookingSlot.detail.title">Booking Slot</span> {{bookingSlot.idBookSlot}}</h5>
    <hr>
    <jhi-alert-error></jhi-alert-error>
    <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="mpmApp.bookingSlot.slotNumber">Slot Number</span></dt>
        <dd>
            <span>{{bookingSlot.slotNumber}}</span>
        </dd>
        <dt><span jhiTranslate="mpmApp.bookingSlot.calendar">Calendar</span></dt>
        <dd>
            <div *ngIf="bookingSlot.calendarId">
                <a [routerLink]="['/base-calendar', bookingSlot.calendarId]">{{bookingSlot.calendarDescription}}</a>
            </div>
        </dd>
        <dt><span jhiTranslate="mpmApp.bookingSlot.standard">Standard</span></dt>
        <dd>
            <div *ngIf="bookingSlot.standardId">
                <a [routerLink]="['/booking-slot-standard', bookingSlot.standardId]">{{bookingSlot.standardDescription}}</a>
            </div>
        </dd>
    </dl>

    <button type="submit"
            (click)="previousState()"
            class="btn btn-info">
        <span class="fa fa-arrow-left"></span>&nbsp;<span jhiTranslate="entity.action.back"> Back</span>
    </button>

    <button type="button"
            [routerLink]="['/', { outlets: { popup: 'booking-slot/'+ bookingSlot.idBookSlot + '/edit'} }]"
            replaceUrl="true"
            class="btn btn-primary">
        <span class="fa fa-pencil"></span>&nbsp;<span jhiTranslate="entity.action.edit"> Edit</span>
    </button>
</div>
